package com.ym.mec.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.entity.VipGroup;
import com.ym.mec.education.req.VipGroupReq;

/**
 * <p>
 * vip课 服务类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface IVipGroupService extends IService<VipGroup> {

    BaseResponse getInfo(VipGroupReq vipGroupReq);

    PageResponse courseList(VipGroupReq vipGroupReq);

    PageResponse attendanceList(VipGroupReq vipGroupReq);
}
